apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  name: osp-enp11s0f1-ooo-node1
spec:
  desiredState:
    interfaces:
    - description: internalapi vlan interface
      ipv4:
        address:
        - ip: 172.16.31.50
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      name: enp11s0f1.31
      state: up
      type: vlan
      vlan:
        base-iface: enp11s0f1
        id: 31
    - description: storage vlan interface
      ipv4:
        address:
        - ip: 172.16.32.50
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      name: enp11s0f1.32
      state: up
      type: vlan
      vlan:
        base-iface: enp11s0f1
        id: 32
    - description: tenant vlan interface
      ipv4:
        address:
        - ip: 172.16.33.50
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      name: enp11s0f1.33
      state: up
      type: vlan
      vlan:
        base-iface: enp11s0f1
        id: 33
    - description: Configuring enp6s0
      ipv4:
        address:
        - ip: 172.16.29.50
          prefix-length: 24
        enabled: true
        dhcp: false
      ipv6:
        enabled: false
      mtu: 1500
      name: enp11s0f1
      state: up
      type: ethernet
  nodeSelector:
    kubernetes.io/hostname: ooo-node1
    node-role.kubernetes.io/worker: ""
